services:
    _defaults:
        public: true # required by controllers

    Claroline\AnalyticsBundle\Controller\Resource\DashboardController:
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\AnalyticsBundle\Manager\AnalyticsManager'
            - '@Claroline\CoreBundle\Manager\EventManager'
            - '@Claroline\CoreBundle\Manager\LogManager'

    Claroline\AnalyticsBundle\Controller\Resource\LogController:
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\AppBundle\API\FinderProvider'
            - '@Claroline\CoreBundle\Manager\LogManager'
